ALTER TABLE `disciplines` CHANGE LectionCount LectureCount int(11) NOT NULL DEFAULT '0';



ALTER TABLE students DROP FOREIGN KEY students_ibfk_1;
ALTER TABLE disciplines_groups DROP FOREIGN KEY disciplines_groups_ibfk_2;

ALTER TABLE students DROP KEY GroupID;
ALTER TABLE disciplines_groups DROP KEY DisciplineID_2;
ALTER TABLE disciplines_groups DROP KEY GroupID;

ALTER TABLE `students` CHANGE StudyGroupID GroupID int(11) NOT NULL;
ALTER TABLE `disciplines_groups` CHANGE StudyGroupID GroupID int(11) NOT NULL;

ALTER TABLE `students` ADD INDEX `GroupID` (`GroupID`);
ALTER TABLE `disciplines_groups` ADD INDEX `GroupID` (`GroupID`);
ALTER TABLE `disciplines_groups` ADD UNIQUE KEY `DisciplineID_2` (`DisciplineID`,`GroupID`)


ALTER TABLE `disciplines_groups`
ADD CONSTRAINT `disciplines_groups_ibfk_2` FOREIGN KEY (`GroupID`) REFERENCES `study_groups` (`ID`);
ALTER TABLE `students`
ADD CONSTRAINT `students_ibfk_1` FOREIGN KEY (`GroupID`) REFERENCES `study_groups` (`ID`);


ALTER TABLE  `page_access`
CHANGE  `Pagename`  `Pagename` VARCHAR(150) CHARACTER SET utf8_general_ci NOT NULL ;

ALTER TABLE  `page_access` ADD UNIQUE (`Pagename`);
ALTER TABLE  `accounts` ADD UNIQUE (`ActivationCode`);


ALTER TABLE  `general_settings` ADD  `Name` VARCHAR(50) CHARACTER SET utf8_general_ci NOT NULL ;
UPDATE `general_settings` SET general_settings.Name = 'SemesterID' WHERE general_settings.ID = 1;
UPDATE `general_settings` SET general_settings.Name = 'HashKey' WHERE general_settings.ID = 2;
ALTER TABLE  `general_settings` ADD UNIQUE (`Name`);



